Delete a metadata descriptor

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
DELETE /data/projects/{project_id}/metadata-descriptors/{metadata_descriptor_id}

Delete a metadata descriptor of a project. A metadata descriptor describes an extra column. The values of the column are in the data field of the entities. Administrators and managers of the project can use this route. A supervisor of the project can delete it only when the descriptor has at least one department and the departments of the descriptor include every department of the supervisor.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

  • metadata_descriptor_id string(uuid) Required

    Metadata descriptor unique identifier

Responses

  • 204

    The descriptor is deleted

  • 403

    You cannot change this descriptor

  • 404

    The project has no descriptor with this identifier

DELETE /data/projects/{project_id}/metadata-descriptors/{metadata_descriptor_id}
curl -X DELETE "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/metadata-descriptors/b35b7fb5-df86-5776-b181-68564193d36" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/metadata-descriptors/b35b7fb5-df86-5776-b181-68564193d36"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.delete(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())